com.sun.syndication.io

## Interface ModuleParser

All Known Subinterfaces:
  DelegatingModuleParser

All Known Implementing Classes:
  DCModuleParser, SyModuleParser

    public interface ModuleParser

Parses module metadata from a XML node (JDOM element).

ModuleParser instances must thread safe.

TODO: explain how developers can plugin their own implementations.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getNamespaceUri()` Returns the namespace URI this parser handles.
`Module` `parse(org.jdom.Element element)` Parses the XML node (JDOM element) extracting module information.

### Method Detail

#### getNamespaceUri

    java.lang.String getNamespaceUri()

Returns the namespace URI this parser handles.

Returns:
  the namespace URI.

#### parse

    Module parse(org.jdom.Element element)

Parses the XML node (JDOM element) extracting module information.

Parameters:
  `element` - the XML node (JDOM element) to extract module information from.
Returns:
  a module instance, null if the element did not have module information.